### A free/open-source library for quantitative finance

Classes
ql/experimental/exoticoptions/margrabeoption.hpp File Reference

Margrabe option on two assets. More...

`#include <ql/instruments/multiassetoption.hpp>`
Include dependency graph for margrabeoption.hpp:

## Classes

class | MargrabeOption
| Margrabe option on two assets. More...
class | MargrabeOption::arguments
| Extra arguments for Margrabe option. More...
class | MargrabeOption::results
| Extra results for Margrabe option. More...
class | MargrabeOption::engine
| Margrabe option engine base class More...

## Detailed Description

Margrabe option on two assets.